<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Рынок'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center><div class='bdeg1'><img src='160_lombard.jpg' /></div></center><link rel='stylesheet' href='style.css' type='text/css' /><dl class='mai2n'>";
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));



switch ($action){
default:

echo'Здорова, '.$user['nick'].'!<br/>';echo'У тебя '.$user['gorod_money'].' зелени<br/>';
echo'Жизни '.$user['gorod_life'].'% <br/>';


$x=mysql_query("SELECT count(*) FROM `gorod_invent` WHERE `uid`='".$user['id']."'");
$x=mysql_fetch_array($x);

if($x[0]>0){echo '<a href="bazar.php?action=prod">Продать</a><br/>';}


if($user['gorod_money']<10){echo '<b>У вас нет зелени.</b>';
}else{

echo '<b>Продуктовый</b><br/><hr/>';


$k_post=mysql_result(mysql_query("SELECT count(*) FROM `gorod_bazar`"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Пусто!';break;};

$q=mysql_query("SELECT * FROM `gorod_bazar` ORDER BY `price` ASC LIMIT $start, $onpage");


while($row=mysql_fetch_assoc($q)){
echo'&#187; <a href="bazar.php?action=pokupka&amp;pr='.$row['id'].'">'.$row['name'].'-></a> '.$row['price'].' $ Жизни: <font color="red">'.$row['life'].'%</font><br/>';
};


if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
}
break;


case 'prod':
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `uid`='".$user['id']."'");

if(!mysql_num_rows($x)){echo 'Нет товару!';}else{

while($row=mysql_fetch_assoc($x)){

echo '&raquo; '.$row['name'].' цена: '.round($row['price']/2).'$ <a href="bazar.php?action=sell&amp;id='.$row['id'].'">продать</a><br/>';

};

};
break;

case 'sell':
$id=(int)$_GET['id'];
if(!$id){echo 'Ошибка!';break;};

$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `id`='$id' AND `uid`='".$user['id']."'");
if(!mysql_num_rows($x)){echo 'Предмета не существует!';break;};
$row=mysql_fetch_assoc($x);
$price=round($row['price']/2);
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$price' WHERE `id`='".$user['id']."'");
mysql_query("DELETE FROM `gorod_invent` WHERE `id`='$id' LIMIT 1");
echo 'Продано!<br/>';
echo '<a href="bazar.php?action=prod">Продать ещё?</a>';
break;


case 'pokupka':
$pr=(int)$_GET['pr'];
$x=mysql_query("SELECT * FROM `gorod_bazar` WHERE `id`='$pr'");

if(!mysql_num_rows($x)){echo 'Товара не существует!';}else{
$tovar=mysql_fetch_assoc($x);

if($user['gorod_money']<=$tovar['price']){
echo'У тебя нехватает зелени!<br/>';}else{

mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'".$tovar['price']."' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`life`,`type`,`price`)VALUES('".$user['id']."','".$tovar['name']."','".$tovar['life']."','eda','".$tovar['price']."')");


echo'<a href="bazar.php?action=eda&amp;id='.mysql_insert_id().'">Вы купили '.$tovar['name'].' ! '.$tovar['name'].'? ('.$tovar['life'].' жизни!)</a><br/>';}}
break;

case 'eda':
$id=(int)$_GET['id'];

if(!$id){echo 'Ошибка!';}else{
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `id`='$id' AND `uid`='".$user['id']."'");

if(!mysql_num_rows($x)){echo 'Не существует!';}else{
$item=mysql_fetch_assoc($x);

if($item['type']!='eda'){echo 'Это нельзя скушать!';}else{
$new=$user['gorod_life']+$item['life'];
$new=($new>100) ? 100 : $new;
mysql_query("UPDATE `user` SET `gorod_life`='$new' WHERE `id`='".$user['id']."'");
mysql_query("DELETE FROM `gorod_invent` WHERE `id`='$id' AND `uid`='".$user['id']."' LIMIT 1");

echo'<a href="bazar.php">Вы использовали '.$tovar['name'].'! Купить, ещё ?</a><br/>';
};
};
};
break;



};
echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{
echo '<div class="msg">Закрыто администратором!</div>';
};

}else{
echo '<div class="msg">Доступено только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>